# The following should match PROGRAM, VERSION and RELEASE in the
# Makefile accompanying this program (and the .tgz defined in Source
# below.
%define name rshbench
%define version 1.0
%define release 2
%define buildroot /tmp/%{name}-%{version}.%{release}-root

%define builddir $RPM_BUILD_DIR/%{name}-%{version}.%{release}

Summary: A very simple benchmarking program to compare rsh and e.g. ssh

Name: %{name}
Version: %{version}
Release: %{release}
Group: Duke
Copyright: Open Source (GPL v2b)
Source: %{name}-%{version}.%{release}.tgz
Buildroot: %{buildroot}

%description
This is a very simple shell script intended to benchmark and compare
rsh and ssh timings between given hosts, probably to help engineer a
beowulf or other cluster.

%prep
%setup -q -n %{name}-%{version}.%{release}

%build
make clean
make

%install
make PREFIX=%{buildroot}/usr install

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}

%files 
%defattr(644,root,root)
# The binary and shell script
%attr(755,root,root) /usr/bin/microtime
%attr(755,root,root) /usr/bin/rshbench
# The man pages
/usr/man/man1/microtime.1
/usr/man/man1/rshbench.1

%postun

rm -rf /usr/bin/microtime
rm -rf /usr/bin/rshbench
rm -rf /usr/man/man1/microtime.1
rm -rf /usr/man/man1/rshbench.1

exit

%changelog
* Tue May  24 2000 Robert G. Brown <rgb@duke.edu>
- set up and built for Red Hat Linux 6.x, but should work for anything.
